<!--
  Generated template for the AssignmemberPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->

<ion-content padding class="wrap-all">
	<div class="back-icon-container">
      <button class="back-icon" (click)="backButton()"></button>
  	</div>
  	<div class="all-content-container">
		<div class="title-outer-container">
			<p class="title">Assign Member To Task</p>
		</div>
		<ion-list no-lines>
			<div *ngFor="let allGroupMem of groupMemList$">
				<div *ngFor="let allUser of userList$">
					<ion-item *ngIf="allUser.key == allGroupMem.key" class="friend-list-item">
						<ion-avatar item-left>
					           <img-loader src="{{ allUser.photoURL }}" useImg></img-loader>
					    </ion-avatar>
					    <ion-label>{{ allUser.displayName }}</ion-label>
					    <ion-checkbox (click)="assignMemToTask(allGroupMem.key, assignedMem, allUser.displayName)" [checked]="checking(allGroupMem.key)" item-right class="add-mem-check-box" [disabled]="!isAdmin"></ion-checkbox>
					</ion-item>
				</div>
			</div>
		</ion-list>
		<div class="footer-border"></div>
  	</div>
</ion-content>
